From d72275f532347d69c2cb100efb4695642a7903e6 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 5 Dec 2011 10:31:11 -0600
Subject: Unmodified get_icons function.

---
 grade/report/grader/lib.php |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/grade/report/grader/lib.php b/grade/report/grader/lib.php
index d8acd59..149accb 100644
--- a/grade/report/grader/lib.php
+++ b/grade/report/grader/lib.php
@@ -903,7 +903,7 @@ class grade_report_grader extends grade_report {
 
                 // Do not show any icons if no grade (no record in DB to match)
                 if (!$item->needsupdate and $USER->gradeediting[$this->courseid]) {
-                    $itemcell->text .= $this->get_icons($element, $item);
+                    $itemcell->text .= $this->get_icons($element);
                 }
 
                 $hidden = '';
@@ -1439,10 +1439,9 @@ class grade_report_grader extends grade_report {
      * with the icons needed for the grader report.
      *
      * @param object $object
-     * @param grade_item $item
      * @return string HTML
      */
-    protected function get_icons($element, $item = null) {
+    protected function get_icons($element) {
         global $CFG, $USER, $OUTPUT;
 
         if (!$USER->gradeediting[$this->courseid]) {
@@ -1452,7 +1451,13 @@ class grade_report_grader extends grade_report {
         // Init all icons
         $editicon = '';
 
-        $overridable = $item ? $item->is_overridable_item() : true;
+        if ($element['type'] == 'grade') {
+            $item = $element['object']->grade_item;
+
+            $overridable = $item->is_overridable_item();
+        } else {
+            $overridable = true;
+        }
 
         if ($element['type'] != 'categoryitem' && $element['type'] != 'courseitem' &&$overridable) {
             $editicon = $this->gtree->get_edit_icon($element, $this->gpr);
-- 
1.7.1


